[![Stars](https://img.shields.io/github/stars/laminlabs/lamindb?logo=GitHub&color=yellow)](https://github.com/laminlabs/lamindb)
[![codecov](https://codecov.io/gh/laminlabs/lamindb/branch/main/graph/badge.svg?token=VKMRJ7OWR3)](https://codecov.io/gh/laminlabs/lamindb)
[![pypi](https://img.shields.io/pypi/v/lamindb?color=blue&label=pypi%20package)](https://pypi.org/project/lamindb)

# LaminDB - Open-source data platform for biology

```{warning}

Public beta: Close to having converged a stable API, but some breaking changes might still occur.

Here is an [intro video](https://www.youtube.com/watch?v=DtJ9KnqWA8Q).

```

LaminDB is a Python library to manage data & analyses related to biology.

<img src="https://lamin-site-assets.s3.amazonaws.com/.lamindb/BunYmHkyFLITlM5MYQTN.png" width="500px">

## Features

- Unify access to metadata (registries) & data (files, datasets)
- Validate & query data leveraging ontologies
- Track data flow through pipelines, notebooks & app uploads
- Manage metadata schema-less or schema-full
- Collaborate across a mesh of LaminDB instances

## Documentation

Read the [docs](https://lamin.ai/docs).
